//go:build !windows
// +build !windows

package user

import "errors"

func wrongPlatform() (string, error) {
	return "", errors.New("using windows call on non-windows system")
}

func windowsAudio() (string, error) {
	return wrongPlatform()
}

func windowsDesktop() (string, error) {
	return wrongPlatform()
}

func windowsDocuments() (string, error) {
	return wrongPlatform()
}

func windowsDownloads() (string, error) {
	return wrongPlatform()
}

func windowsPictures() (string, error) {
	return wrongPlatform()
}

func windowsPublic() (string, error) {
	return wrongPlatform()
}

func windowsTemplates() (string, error) {
	return wrongPlatform()
}

func windowsVideos() (string, error) {
	return wrongPlatform()
}
